<?php
$dataFile = 'data.json';

// 讀取 JSON 資料
function readData() {
    global $dataFile;
    if (file_exists($dataFile)) {
        $jsonData = file_get_contents($dataFile);
        return json_decode($jsonData, true);
    }
    return [];
}

// 取得所有資料
$data = readData();

// 檢查是否有要篩選的小區
$filteredData = $data;
if (isset($_GET['district'])) {
    $selectedDistrict = $_GET['district'];
    $filteredData = array_filter($data, function($entry) use ($selectedDistrict) {
        return $entry['district'] === $selectedDistrict; // 篩選條件
    });
}

// 返回篩選後的結果為 JSON 格式
header('Content-Type: application/json');
echo json_encode(array_values($filteredData)); // 將篩選後的資料回傳